changeset 108:b66d638a3844

Build User Mode Linux and have that do the ext2 packaging (for now, anyway).
author Rob Landley <rob@landley.net>
date Fri, 23 Feb 2007 15:27:51 -0500
parents 72f414b2939d
children d9dae1196ea7
files build.sh host-tools.sh include.sh
diffstat 3 files changed, 39 insertions(+), 7 deletions(-) [+]
line wrap: on
line diff
--- a/build.sh	Wed Feb 14 16:30:53 2007 -0500
+++ b/build.sh	Fri Feb 23 15:27:51 2007 -0500
@@ -1,6 +1,13 @@
 #!/bin/bash
 
+# Just for argument checking 
+
+./include.sh $1 || exit 1
+
+# Run the steps in order
+
 ./download.sh &&
 ./host-tools.sh &&
 ./cross-compiler.sh $1 &&
-./mini-native.sh $1
+./mini-native.sh $1 &&
+./package-mini-native.sh $1
--- a/host-tools.sh	Wed Feb 14 16:30:53 2007 -0500
+++ b/host-tools.sh	Fri Feb 23 15:27:51 2007 -0500
@@ -21,16 +21,40 @@
 
 [ $? -ne 0 ] && dienow
 
-# Build squashfs
-setupfor squashfs
-cd squashfs-tools &&
-make &&
-cp mksquashfs unsquashfs "${HOSTTOOLS}" &&
+# As a temporary measure, build User Mode Linux and use _that_ to package
+# the ext2 image to boot qemu with.
+
+setupfor linux &&
+cat > mini.conf << EOF
+CONFIG_MODE_SKAS=y
+CONFIG_BINFMT_ELF=y
+CONFIG_HOSTFS=y
+CONFIG_SYSCTL=y
+CONFIG_STDERR_CONSOLE=y
+CONFIG_UNIX98_PTYS=y
+CONFIG_BLK_DEV_LOOP=y
+CONFIG_LBD=y
+CONFIG_EXT2_FS=y
+CONFIG_PROC_FS=y
+EOF
+make ARCH=um allnoconfig KCONFIG_ALLCONFIG=mini.conf &&
+make ARCH=um &&
+cp linux "${HOSTTOOLS}" &&
 cd .. &&
-$CLEANUP squashfs*
+rm -rf linux-*
 
 [ $? -ne 0 ] && dienow
 
+# Build squashfs
+#setupfor squashfs
+#cd squashfs-tools &&
+#make &&
+#cp mksquashfs unsquashfs "${HOSTTOOLS}" &&
+#cd .. &&
+#$CLEANUP squashfs*
+#
+#[ $? -ne 0 ] && dienow
+
 # Build qemu (if it's not already installed)
 
 TEMP="qemu-${QEMU_TEST}"
--- a/include.sh	Wed Feb 14 16:30:53 2007 -0500
+++ b/include.sh	Fri Feb 23 15:27:51 2007 -0500
@@ -207,6 +207,7 @@
   export CROSS="${BUILD}/cross-compiler-$ARCH"
   export NATIVE="${BUILD}/mini-native-$ARCH"
   export PATH="${CROSS}/bin:${HOSTTOOLS}:$PATH"
+  export IMAGE="${BUILD}/image-${ARCH}.ext2"
 fi
 mkdir -p "${WORK}"